import { EntityRepository, Repository } from "typeorm";
import { UpdateArticlePageCmsDto } from "./dto/update-article-page-cms.dto";
import { ArticlePageCms } from "./entities/article-page-cms.entity";

@EntityRepository(ArticlePageCms)
export class ArticlePageCmsRepository extends Repository<ArticlePageCms> {

    async createEntity(dto: UpdateArticlePageCmsDto): Promise<ArticlePageCms | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                subTitle: dto.subTitle,
                bannerImage: dto.bannerImage
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateArticlePageCmsDto, id: string): Promise<ArticlePageCms | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                subTitle: dto.subTitle,
                bannerImage: dto.bannerImage
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<ArticlePageCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}