import { EntityRepository, Repository } from "typeorm";
import { UpdateReserveTimeCmsDto } from "./dto/update-reserve-time-cms.dto";
import { ReserveTimeCms } from "./entities/reserve-time-cms.entity";

@EntityRepository(ReserveTimeCms)
export class ReserveTimeCmsRepository extends Repository<ReserveTimeCms> {

    async createEntity(dto: UpdateReserveTimeCmsDto): Promise<ReserveTimeCms | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                subTitle: dto.subTitle,
                image: dto.image,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateReserveTimeCmsDto, id: string): Promise<ReserveTimeCms | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                subTitle: dto.subTitle,
                image: dto.image,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<ReserveTimeCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}