import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { CareerDetailsPageUiService } from "./career-details-page-ui.service";
import { UpdateCareerDetailsPageUiDto } from "./dto/update-career-details-page-ui.dto";

@Controller({ path: "career-details-page-component-ui", version: Constants.API_VERSION_1 })

export class CareerDetailsPageUiController {
    constructor(private readonly service: CareerDetailsPageUiService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
      @Body() dto: UpdateCareerDetailsPageUiDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
